Mattermost, Inc.

Android Mattermost client - version incompatible?

Several of our users have downloaded the Mattermost client from the Google Play store and are now getting the message that the server is running an incompatible version.

The version on the market place shows v3.4 for the Mattermost client.

We are on Enterprise 3.3.0 which appears to be the most recent stable release.

Anyone else running into this?

I am also facing same issue. But with using Enterprise 3.2.0. Can anyone help to fix the issue?

Please try these troubleshooting steps and if they don’t work, please share what error you’re seeing? https://docs.mattermost.com/deployment/push.html#troubleshooting-mobile-applications

Hi all,

the issue with the Android client not connecting is almost always the SSL certificate is missing the intermediary cert. Visit https://www.ssllabs.com/ssltest/index.html on your domain to test.

You’ll likely see an error about the missing chain/Certification Path… make sure you append the signed cert and the CA "middle"intermediate cert and this should resolve the issue.